## org.eclipse.datatools.sqltools.sqlbuilder.views
Interface ITextProvider

    public interface ITextProvider

Defines an interface for providing the text value for a given object. This is used with the ComboBoxCellEditor and other cell editors as a means to provide a context-specific text value to the cell editor.

Author:
  bpayton

Method Summary
`java.lang.String` `getText(java.lang.Object value)` Gets the text representation of the given value.

Method Detail

### getText

    java.lang.String getText(java.lang.Object value)

  Gets the text representation of the given value.

  Parameters:
    `value` - the value for which a text representation is needed
  Returns:
    the text representation of the value
  See Also:
    `CriteriaGridViewer.CriteriaGridViewer(int, org.eclipse.datatools.sqltools.sqlbuilder.model.SQLDomainModel, org.eclipse.swt.widgets.Composite, boolean)`, `ComboBoxCellEditor.doGetValue()`